# WebCryptoSha2Hash | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- WebCryptoSha2Hash

### Implements

- Sha2Hash

## Index

### Constructors

- constructor

### Properties

- subtleCrypto

### Methods

- digest

## Constructors

### constructor

- new WebCryptoSha2Hash(subtleCrypto: SubtleCrypto): WebCryptoSha2Hash

- - Defined in packages/encryption/src/sha2Hash.ts:34

  #### Parameters

  - ##### subtleCrypto: SubtleCrypto

  #### Returns WebCryptoSha2Hash

## Properties

### subtleCrypto

subtleCrypto: SubtleCrypto

- Defined in packages/encryption/src/sha2Hash.ts:34

## Methods

### digest

- digest(data: Buffer, algorithm?: string): Promise<Buffer>

- - Defined in packages/encryption/src/sha2Hash.ts:40

  #### Parameters

  - ##### data: Buffer

  - ##### Default value algorithm: string = "sha256"

  #### Returns Promise<Buffer>

Generated using TypeDoc